KTextEditor::UndoInterface Class Referenceabstract

`#include <undointerface.h>`

## Public Member Functions

unsigned int | undoInterfaceNumber () const
virtual void | undo ()=0
virtual void | redo ()=0
virtual void | clearUndo ()=0
virtual void | clearRedo ()=0
virtual unsigned int | undoCount () const =0
virtual unsigned int | redoCount () const =0
virtual unsigned int | undoSteps () const =0
virtual void | setUndoSteps (unsigned int steps)=0
virtual void | undoChanged ()=0

## Protected Member Functions

void | setUndoInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateUndoInterface

## Detailed Description

This is an interface to undo functionality of a Document.

Definition at line 32 of file undointerface.h.

## Member Function Documentation

virtual unsigned int KTextEditor::UndoInterface::undoSteps | ( |  | ) | const

pure virtual

returns the maximum of undo steps possible, 0 means no limit !

The documentation for this class was generated from the following files:

- undointerface.h
- undointerface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys